import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const agentView = await client.agents.create({ name: 'name' });
console.log(agentView.id);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
agent_view = client.agents.create(
name="name",
)
print(agent_view.id)curl --request POST \
--url https://api.runloop.ai/v1/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"version": "<string>",
"source": {
"type": "<string>",
"npm": {
"package_name": "<string>",
"registry_url": "<string>",
"agent_setup": [
"<string>"
]
},
"pip": {
"package_name": "<string>",
"registry_url": "<string>",
"agent_setup": [
"<string>"
]
},
"object": {
"object_id": "<string>",
"agent_setup": [
"<string>"
]
},
"git": {
"repository": "<string>",
"ref": "<string>",
"agent_setup": [
"<string>"
]
}
}
}
'
{
"id": "<string>",
"name": "<string>",
"create_time_ms": 123,
"is_public": true,
"version": "<string>",
"source": {
"type": "<string>",
"npm": {
"package_name": "<string>",
"registry_url": "<string>",
"agent_setup": [
"<string>"
]
},
"pip": {
"package_name": "<string>",
"registry_url": "<string>",
"agent_setup": [
"<string>"
]
},
"object": {
"object_id": "<string>",
"agent_setup": [
"<string>"
]
},
"git": {
"repository": "<string>",
"ref": "<string>",
"agent_setup": [
"<string>"
]
}
}
}Create an Agent.
Create a new Agent with a name and optional public visibility. The Agent will be assigned a unique ID.
import Runloop from '@runloop/api-client';
const client = new Runloop({
bearerToken: process.env['RUNLOOP_API_KEY'], // This is the default and can be omitted
});
const agentView = await client.agents.create({ name: 'name' });
console.log(agentView.id);import os
from runloop_api_client import Runloop
client = Runloop(
bearer_token=os.environ.get("RUNLOOP_API_KEY"), # This is the default and can be omitted
)
agent_view = client.agents.create(
name="name",
)
print(agent_view.id)Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Parameters for creating a new Agent.
The name of the Agent.
Optional version identifier for the Agent. For npm/pip sources this is typically a semver string (e.g. '2.0.65'). For git sources it can be a branch or tag. Semantics are user-defined for object sources.
The source configuration for the Agent.
Show child attributes
Show child attributes
Response
Agent created successfully. Returns the Agent with metadata.
An Agent represents a registered AI agent entity.
The unique identifier of the Agent.
The name of the Agent.
The creation time of the Agent (Unix timestamp milliseconds).
Whether the Agent is publicly accessible.
Optional version identifier for the Agent. For npm/pip sources this is typically a semver string (e.g. '2.0.65'). For git sources it can be a branch or tag. Omitted for object sources or when not provided.
The source configuration for the Agent.
Show child attributes
Show child attributes
Was this page helpful?
